<?php

class userMessage {

  public static $lastMessage = '';

  /**
   * Create confirm email for register user or user has not been activate
   * or user who has email cannot be sent (mail system failed)
   *
   * @param Tbluser $tbluser
   * @param String $password: User password, get password from $tbluser
   */

  public static function sendConfirmEmail($tbluser, $password=null) {
    $fullname = $tbluser->getUsFullname();
    $link = sfContext::getInstance()->getController()->genUrl('/user/confirm?active='.md5($tbluser->getUsId()), true);

    $mailerClass = sfConfig::get('sf_mailer_class', 'myMail');
    $mail = new $mailerClass();
    $mail->addAddress($tbluser->getUsEmail(), $fullname);
    $mail->setSubject('Xac nhan thong tin dang ky tai Thu vien truc tuyen Violet');
    $mail->setBody(

    'Kính chào '.$fullname.' !<br />'.
    'Quý vị đã đăng ký thành viên tại Thư viện trực tuyến Violet, xin vui lòng:<br />'.
    '<b><a href="'.$link.'">nhấn vào đây để xác nhận thông tin đăng ký là chính xác</a></b><br /><br />'.
    'Từ các lần sau quý vị có thể đăng nhập với:<br />'.
    'Tên truy nhập: <b>'.$tbluser->getUsUsername().'</b><br />'.
    ($password? 'Mật khẩu: <b>'.$password.'</b><br />': '').
    '<br />'.
    'Xin trân trọng kính báo<br />'.
    '=======================================<br />'.
    '<br />'.
    '<i>PS: Neu quy vi khong doc duoc Tieng Viet co dau, hay Relpy (Tra loi) email nay de nhan duoc su ho tro</i>');

    $sendResult = $mail->send();
    self::$lastMessage = ($sendResult == true)?
    'Thư xác nhận vừa được gửi vào địa chỉ <font color="blue">'.$tbluser->getUsEmail().'</font><br/>'.
    'Hãy mở e-mail và nhấn vào đường liên kết trong đó. Lưu ý là phải tìm trong cả phần Thư đến (Inbox) và Thư rác (Spam, Bulk)<br/>'.
    'Sau đó nhấn vào nút dưới đây để đăng nhập<br/><br/>'
    :
    '<p>Xin lỗi, hiện tại chúng tôi chưa thể gửi được email.<br />'.
    'Tuy nhiên quý vị có thể sử dụng chức năng "gửi lại email xác nhận" '.
    'hiện ra trong những lần đăng nhập về sau</p>';

    return $sendResult;
  }

  public static function sendForgotPassEmail($tbluser) {
    $fullname = $tbluser->getUsFullname();
    $us_pass = myUtility::create_password();
    $link = sfContext::getInstance()->getController()->genUrl('/user/requestpass?pwd='.md5($us_pass).
    '&mail='.md5($tbluser->getUsEmail()).'&rand='.md5($tbluser->getUsPassword()).'&id='.$tbluser->getUsId() , true);

    $mailerClass = sfConfig::get('sf_mailer_class', 'myMail');
    $mail = new $mailerClass();
    $mail->addAddress($tbluser->getUsEmail(), $fullname);
    $mail->setSubject('Thong tin thanh vien tai Thu vien truc tuyen Violet');
    $mail->setBody(

    'Kính chào '.$fullname.'!<br />'.
    'Nếu quý vị đã sử dụng chức năng <i>Quên mật khẩu</i> trong Thư viện Violet,<br />'.
    'xin vui lòng <a href="'.$link.'"><b>nhấn vào đây để tạo lại mật khẩu</b></a><br /><br />'.
    'Sau khi tạo lại mật khẩu, quý vị sẽ đăng nhập với<br />'.
    'Tên truy nhập: <b>'.$tbluser->getUsUsername().'</b><br />'.
    'Mật khẩu: <b>'.$us_pass.'</b><br /><br />'.
    'Xin trân trọng kính báo<br />'.
    '=======================================<br />'.
    '<br />'.
    '<i>PS: Neu quy vi khong doc duoc Tieng Viet co dau, hay Relpy (Tra loi) email nay de nhan duoc su ho tro</i>');

    $sendResult = $mail->send();
    self::$lastMessage = ($sendResult == true)?
    '<p>Email tạo mật khẩu mới đã được gửi tới <font color="blue">'.$us_mail.'</font><br/>'.
    'Hãy mở e-mail và nhấn vào đường liên kết trong đó<br/> '.
    'Lưu ý là phải tìm trong cả phần <font color="blue">Thư đến (Inbox)</font> và <font color="blue">Thư rác (Spam, Bulk)</font></p>'
    :
    '<p>Xin lỗi, hiện tại chúng tôi chưa thể gửi được email.<br />'.
    'Hãy soạn email tiêu đề là "Đề nghị đổi mật khẩu" và nội dung là mật khẩu mới của quý vị, sau đó '.
    'gửi vào địa chỉ hotro@violet.vn. Chúng tôi sẽ đổi cho quý vị trong vòng 12h</p>';

    return $sendResult;
  }
}
?>
